Bug 1917845 - An incomplete set of Torque packages was added to the CentOS Stream repositories
Summary: An incomplete set of Torque packages was added to the CentOS Stream repositories
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: torque
Version: CentOS Stream
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.5
Assignee: Honggang LI
QA Contact: Infiniband QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-19 14:23 UTC by John Bollinger
Modified: 2021-04-06 13:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-06 13:30:20 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description John Bollinger 2021-01-19 14:23:29 UTC
Description of problem:

An incomplete set of Torque RPMs has been entered into the CentOS Stream repositories.


Version-Release number of selected component (if applicable):

4.2.10-25.el8


How reproducible:

Always.


Steps to Reproduce:

1. Ensure that package centos-stream-repos is installed and up to date.
2. Execute the command 'dnf --disablerepo=\* --enablerepo=baseos,appstream,powertools,extras list available torque\*'


Actual results:

Packages torque-4.2.10-25.el8.x86_64, torque-devel-4.2.10-25.el8.x86_64, and torque-devel-4.2.10-25.el8.i686 are available from the powertools repository.

Packages torque-libs-4.2.10-25.el8.x86_64 and torque-libs-4.2.10-25.el8.i686 are available from the appstream repository.

No other torque packages are available from the standard CentOS Stream repositories.


Expected results:

Either the complete suite of torque subpackages built via the torque SRPM should be available, or no torque packages should be available.  Taking the Fedora SRPM as authoritative for the subpackage list, the packages that make up torque are:

  torque
  torque-client
  torque-drmaa
  torque-gui
  torque-libs
  torque-mom
  torque-pam
  torque-scheduler
  torque-server

The development components should be included, too:

  torque-devel
  torque-drmaa-devel


Additional info:

The torque packaging is a bit unusual about how features are split among packages.  The "torque" package itself is not an umbrella package, but rather serves more as an infrastructure package, such as might be more conventionally named "torque-common".  Most of the key Torque features are in the packages that are presently missing from the repositories.

Moreover, this is not just an issue of missing features.  The presence of an incomplete set of packages causes DNF errors for users that have Torque RPMs installed from another source, such as locally building the Fedora SRPM.

This was initially reported in the CentOS bug tracker (https://bugs.centos.org/view.php?id=18015).  Per instructions received there, I am re-reporting it here.

Comment 1 Josh Boyer 2021-01-19 20:19:13 UTC
Thank you for the report.  Torque is currently only included as a runtime dependency of openmpi.  It was not included as a general purpose offering outside of openmpi usage.  We'll evaluate this further but cannot give a timeframe on if or when the remaining packages would be included in RHEL at this time.

Comment 3 John Bollinger 2021-01-19 22:57:13 UTC
Thank you, Josh, for taking the time to comment.

It seems odd to me that OpenMPI is being built with (optional, IIUC) Torque support enabled when targeting systems that are not, in fact, envisioned to be running Torque.  I don't think the Torque libs by themselves give it enough to usefully work with.  If a complete Torque subsystem is not going to be included, then can Torque support instead be withdrawn altogether?

Comment 4 Honggang LI 2021-01-29 01:29:08 UTC
I noticed fedora torque maintainer to update torque to upstream release 6.1.3.

It is in progress. Our next step depends on the result of torque 6.x update.

Thanks

Comment 5 Honggang LI 2021-02-02 02:39:45 UTC
Hi, Josh

https://koji.fedoraproject.org/koji/buildinfo?buildID=1697877

Fedora update torque to latest upstream branch 6.1.3 .

I think we should add torque packages into RHEL-8 and RHEL-9 Appstream. Is it right?

Comment 12 Honggang LI 2021-03-02 03:35:43 UTC
As fedora/openmpi no longer build with torque, rhel-8.5/openmpi also will be built without torque.

torque will be deprecated in rhel-8.5. This bug will be closed as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.